# Generated from exception_notification-4.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name exception_notification

Name: rubygem-%{gem_name}
Version: 4.0.1
Release: 1%{?dist}
Summary: Exception notification for Rails apps
Group: Development/Languages
License: MIT
URL: http://smartinez87.github.com/exception_notification
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
# Remove bundler dependency from Rakefile. Probably cannot go upstream, because
# upstream prefers bundler.
Patch0: rubygem-exception_notification-4.0.0-rake-nobundler.patch
# Remove hard dependency on tinder. Unknown if upstream will be receptive to
# this.
Patch1: rubygem-exception_notification-4.0.0-tinder.patch
# Remove hard dependency on hipchat. Unknown if upstream will be receptive to
# this.
Patch2: rubygem-exception_notification-4.0.1-hipchat.patch
Requires: ruby(release)
Requires: ruby(rubygems)
Requires: rubygem(actionmailer) >= 3.0.4
Requires: rubygem(activesupport) >= 3.0.4
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: rubygem(actionmailer) >= 3.0.4
BuildRequires: rubygem(activesupport) >= 3.0.4
BuildRequires: rubygem(httparty)
BuildRequires: rubygem(minitest)
BuildRequires: rubygem(mocha)
BuildRequires: rubygem(rake)
BuildRequires: rubygem(rails) >= 3.0.4
BuildRequires: rubygem(sqlite3)
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
The Exception Notification gem provides a set of notifiers for sending
notifications when errors occur in a Rack/Rails application. The built-in
notifiers can deliver notifications by email, campfire rooms or via
webhooks.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

# Remove Bundler dependency from Rakefile
%patch0 -p1
# Remove tinder dependency from tests
%patch1 -p1
# Remove hipchat dependency from tests
%patch2 -p1

# Remove unnecessary bundler dependency from dummy Rails in test suite
sed -i '/bundler/d' test/dummy/config/boot.rb
# With bundler gone, we need to explicitly load exception_notification here
echo "require 'exception_notification'" >> test/dummy/config/boot.rb

# Remove /usr/bin/env from shebang so RPM doesn't consider this a dependency
sed -i 's|#!/usr/bin/env ruby|#!/usr/bin/ruby|' test/dummy/script/rails

# Remove developer-only files
rm test/dummy/.gitignore
rm test/dummy/lib/tasks/.gitkeep
rm test/dummy/public/stylesheets/.gitkeep
sed -i 's|"test/dummy/.gitignore",||' %{gem_name}.gemspec
sed -i 's|"test/dummy/lib/tasks/.gitkeep",||' %{gem_name}.gemspec
sed -i 's|"test/dummy/public/stylesheets/.gitkeep",||' %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

# remove unecessary gemspec
pushd .%{gem_instdir}
  rm %{gem_name}.gemspec
popd

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
  # The reason we simply run "rake" here is that the Rakefile contains some
  # steps for setting up the sqlite database. These are non-trivial to do
  # outside of Rake.
  # The default command is to stage the DB, then run the tests. Here we go.
  rake
popd


%files
%dir %{gem_instdir}
%doc %{gem_instdir}/MIT-LICENSE
%exclude %{gem_instdir}/.*
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.rdoc
%doc %{gem_instdir}/CONTRIBUTING.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/test
%{gem_instdir}/examples
%{gem_instdir}/gemfiles
%{gem_instdir}/Appraisals
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%{gem_instdir}/Rakefile


%changelog
* Thu Oct 03 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 4.0.1-1
- Update to 4.0.1
- Drop upstreamed patches and LICENSE file
- Drop BR: ruby, since BR: ruby(release) does the same thing
- Patch out the dependency on hipchat

* Fri Sep 06 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 4.0.0-2
- Close -doc %%description with "."
- Remove executable attr from LICENSE
- Remove developer-only .gitkeep and .gitignore files

* Wed Sep 04 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 4.0.0-1
- Update to 4.0.0

* Fri Aug 10 2012 Ken Dreyer <ktdreyer@ktdreyer.com> - 2.6.1-1
- Initial package, created by gem2rpm 0.8.1
